PGTUNE(1)

NAME
pgtune - generate an optimized postgresql.conf file

SYNOPSIS
pgtune [ options ] -i $PGDATA/postgresql.conf -o $PGDATA/postgresql.conf.pgtune

DESCRIPTION
pgtune takes the wimpy default postgresql.conf and expands the database server to be as powerful as the hardware it's being deployed on.

pgtune works by taking an existing postgresql.conf file as an input, making changes to it based on the amount of RAM in your server and suggested workload, and output a new file.

OPTIONS

-i, --input-config
    Specifies the current postgresql.conf file.

-o, --output-config
    Specifies the file name for the new postgresql.conf file.

-M, --memory
    Use this parameter to specify total system memory. If not specified, pgtune will attempt to detect memory size.

-T, --type
    Specifies database type. Valid options are: DW, OLTP, Web, Mixed, Desktop

-c, --connections
    Specifies number of maximum connections expected. If not specified, it depends on database type.

-D, --debug
    Enables debugging mode.

-S, --settings
    Directory where settings data files are located at. Defaults to the directory where the script is being run from. The RPM package includes a patch to use the correct location these files were installed into.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

AUTHOR
pgtune was written by Gregory Smith.

This manual page was written by Rodolphe Quiédeville <rodolphe@quiedeville.org>, for the Debian project (and may be used by others).